YAWMPPP(1x)

NAME
yawmppp - Window Maker dock front end for pppd and chat

SYNOPSIS
yawmppp [-h] [-i device] [-t]
        [-u update rate] [-v]
        [-caution | -paranoid] yawmppp.thin [-h] [-i device] [-t]
             [-u update rate] [-v]
             [-caution | -paranoid]

DESCRIPTION
This man page documents version 2.0.2 of yawmppp. yawmppp is Yet Another Window Maker PPP dock applet. yawmppp runs docked in Window Maker's dock (or clip), swallowed in AfterStep's wharf or as a iconic shaped window on other window managers. If you are not using a dock-capable window manager (Window Maker and AfterStep) then you may prefer to run yawmppp.thin instead, which is the same applet shaped as an horizontal bar, designed for use without a dock. It provides a front end for the programs chat and pppd, in a way that you probably shouldn't ever need to edit directly these programs' scripts. The v button starts a connection to the currently selected ISP entry (whose handle is shown in the bottom left corner of the display). The x button closes the current connection. The arrow buttons let you select a dialing entry. To create and edit dialing entries you should use the yawmppp.pref program, which can be run by clicking the left mouse button in yawmppp's display area. You can see a log of your connections with the yawmppp.log program, which can be run by clicking yawmppp's display area with any mouse button but the left.

DISPLAY
Yawmppp's display has a connection timer at the top left corner, three LEDs at the top right meaning RX,TX and POWER. The RX/TX leds blinking upon the receive/send of PPP packets. The POWER led is dark when you're offline, yellow when dialing, green when connected, red when an error has ocurred with the connection. In the middle of the display is an auto-scaling load graph. The bottom left corner shows the current ISP's handle and the bottom right corner displays the CONNECT speed in the first 10 seconds of connection, then starts showing the characters-per-second rate.

COMMAND-LINE OPTIONS

-caution

-paranoid
    these options will change the way yawmppp touches the PPP interface. Caution will keep associated structures open while the connection is up only. Paranoid will open and close the structures LOTS of times to keep them closed as much as possible. These options are meant for PCMCIA & APM (notebooks, maybe PDAs) users who run into trouble with cardctl commands. Don't use these options unless you really need them. And if you need, check if caution is enough, be paranoid only when absolutely necessary. When none is specified, -caution is default.

-i device
    use a ppp device other then ppp0.

-h  shows a brief help message

-t  set timer to MM:SS instead of HH:MM

-u update-rate
    sets the interval for statistics update (load graph and cps rate). If not set, defaults to 5 seconds.

-v  shows version and exits.

PPPD OPTIONS
yawmppp.pref provides a good set of options from pppd, but if need any other that isn't (yet) directly supported, put it in /etc/ppp/options. Per-ISP options are placed in /etc/ppp/peers, as newer pppd versions require (since 2.3.7 at least). Whenever YAWMPPP needs to write some file there, it will ask for the superuser password on an xterm. Configuration files must go under /etc/ppp/peers or the noauth option, usually required to connect to ISPs, won't be allowed.

DNS Handling
In the past, YAWMPPP changed the named(8) configuration files to set DNS up, but nowadays pppd has taken over this task with the usepeerdns option. From pppd 2.3.11 up, DNS should work out of the box. pppd 2.3.10 and some earlier versions may require working /etc/ppp/ip-up and /etc/ppp/ip-down files. Some distributions provide these files worked out (Red Hat), others don't (Slackware). Here is a sample minimalist set of these files: /etc/ppp/ip-up
#!/bin/sh
echo "search mydomain.org" > /etc/resolv.conf
echo "nameserver $DNS1" >> /etc/resolv.conf
/etc/ppp/ip-down
#!/bin/sh
echo "search mydomain.org" > /etc/resolv.conf
echo "nameserver" >> /etc/resolv.conf

FILES
~/.yawmppp2
~/.yawmppp2/yawmppprc
~/.yawmppp2/logfile

BUGS
yawmppp You must set your PAP/CHAP secrets directly in the /etc/ppp/chap-secrets and /etc/ppp/pap-secrets files. For security reasons, yawmppp cannot do it for you. If you run more than one copy of yawmppp or yawmppp.thin you'll get repeated log entries.

PORTABILITY
yawmppp has been reported to run on Linux, NetBSD and FreeBSD. Your mileage may vary on Linux, as pppd configuration can vary wildly from distribution to distribution. On Slackware Linux 7.0 you must set up /etc/ppp/ip-up and /etc/ppp/ip-down on your own to get DNS resolution working. The minimalist sample given in this man page works.

CREDITS
yawmppp was written by Felipe Bergo <bergo@seul.org>. The dock applet is based on wmppp 1.3.0, which was written by Martijn Pieterse and Antoine Nulle.

UNRESTRICTIONS
yawmppp is free; anyone may redistribute copies of yawmppp to anyone under the terms stated in the GNU General Public License. A copy of the license accompanies each copy of yawmppp.

WEB SITE
http://yawmppp.seul.org

SEE ALSO
pppd(8), chat(8), resolver(5), setserial(8), ttys(4)